# OceanStateEstimation

[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaOcean.github.io/OceanStateEstimation.jl/dev)
[![CI](https://github.com/JuliaOcean/OceanStateEstimation.jl/actions/workflows/ci.yml/badge.svg)](https://github.com/JuliaOcean/OceanStateEstimation.jl/actions/workflows/ci.yml)
[![Codecov](https://codecov.io/gh/JuliaOcean/OceanStateEstimation.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaOcean/OceanStateEstimation.jl)
[![DOI](https://zenodo.org/badge/260376633.svg)](https://zenodo.org/badge/latestdoi/260376633)

This package is currently focused on downloading, reading, displaying, and analyzing [ocean state estimates](http://dx.doi.org/10.5194/gmd-8-3071-2015). 

_It is in early development stage; breaking changes remain likely._

### Use Examples

- [Physical Ocean, Currents, & Climate](https://JuliaOcean.github.io/OceanStateEstimation.jl/dev/examples/ECCO_standard_plots.html) (➭ [code link](https://raw.githubusercontent.com/JuliaOcean/OceanStateEstimation.jl/master/examples/ECCO/ECCO_standard_plots.jl))
- [Sea Level Time Series & More](https://JuliaOcean.github.io/OceanStateEstimation.jl/dev/examples/NSLCT_notebook.html) (➭ [code link](https://raw.githubusercontent.com/JuliaOcean/OceanStateEstimation.jl/master/examples/NSLCT/NSLCT_notebook.jl))
- [Marine Ecosystems & Biogeochemistry](https://JuliaOcean.github.io/OceanStateEstimation.jl/dev/examples/CBIOMES_climatology_plot.html) (➭ [code link](https://raw.githubusercontent.com/JuliaOcean/OceanStateEstimation.jl/master/examples/CBIOMES/CBIOMES_climatology_plot.jl))

Please refer to the [docs](https://JuliaOcean.github.io/OceanStateEstimation.jl/dev) for detail and additional notebooks.

